
<!DOCTYPE html>
<form (ngSubmit)="onSubmit()" [formGroup]="f" ngNoForm>


  <!--  <div class="form-group ">
  <span>Id </span> 
        <input type="number" class="form-control" [(ngModel)]="agent.id"  name="id" placeholder="Id" formControlName="id">
        <div *ngFor="let validation of validation_messages.id">
            <div class="error-message" *ngIf="f.get('id').hasError(validation.type) &&  (f.get('id').dirty ||  f.get('id').touched)">              
              {{validation.message}} 
            </div>
          </div>
    </div>--> 

    <div class="form-group ">
    <span>Cin </span> 
    <input type="number" class="form-control" [(ngModel)]="agent.cin"  name="cin" placeholder="Cin" formControlName="cin">
    <div *ngFor="let validation of validation_messages.cin">
        <div class="error-message" *ngIf="f.get('cin').hasError(validation.type) &&  (f.get('cin').dirty ||  f.get('cin').touched)">              
          {{validation.message}} 
        </div>
      </div>
</div>

    <div class="form-group ">
  <span> Nom</span> 
        <input type="text" class="form-control" placeholder="Nom" name="nom" pattern="[a-zA-Z ]*" [(ngModel)]="agent.nom" formControlName="nom">
        <div *ngFor="let validation of validation_messages.nom">
            <div class="error-message" *ngIf="f.get('nom').hasError(validation.type) &&  (f.get('nom').dirty ||  f.get('nom').touched)">              
              {{validation.message}} 
            </div>
          </div>
    </div>

    <div class="form-group ">
        <span> Prenom</span>
             <input type="text" class="form-control" name="prenom" placeholder="Prenom" pattern="[a-zA-Z ]*" [(ngModel)]="agent.prenom" formControlName="prenom">
             <div *ngFor="let validation of validation_messages.prenom">
                <div class="error-message" *ngIf="f.get('prenom').hasError(validation.type) &&  (f.get('prenom').dirty ||  f.get('prenom').touched)">              
                  {{validation.message}} 
                </div>
              </div>
         </div>


         <div class="form-group ">
            <span>Email </span>
            <input type="email" class="form-control" name="email"  placeholder="name@example.com" [(ngModel)]="agent.email" formControlName="email">
            <div *ngFor="let validation of validation_messages.email">
                <div class="error-message" *ngIf="f.get('email').hasError(validation.type) &&  (f.get('email').dirty ||  f.get('email').touched)">              
                  {{validation.message}} 
                </div>
              </div>
        </div>

       

        <div class="form-group ">
           <span> Login</span> 
            <input type="text" class="form-control" placeholder="Login" name="login" [(ngModel)]="agent.login" formControlName="login">
            <div *ngFor="let validation of validation_messages.login">
                <div class="error-message" *ngIf=" f.get('login').hasError(validation.type)&&  (f.get('login').dirty ||  f.get('login').touched)">              
                  {{validation.message}} 
                </div>
              </div>
        </div>

        <div class="form-group ">
            <span> Mot de passe</span>
                 <input type="password" class="form-control" placeholder="Mot de passe" name="mot_de_passe" [(ngModel)]="agent.mot_de_passe" formControlName="mot_de_passe">
                 <div *ngFor="let validation of validation_messages.mot_de_passe">
                <div class="error-message" *ngIf="f.get('mot_de_passe').hasError(validation.type) &&  (f.get('mot_de_passe').dirty ||  f.get('mot_de_passe').touched)">              
                  {{validation.message}} 
                </div>
              </div>
        </div>

        <form (ngSubmit)="onSubmit()"> 
          <div class="form-group ">
            <span> Tél</span>
          <input type="number" name="tel" class="form-control"placeholder=" Entrer Numéro du tel"  [(ngModel)]="agent.tel"> 
          </div>      
      <div class="form-group ">
        <span> Date de création</span>
      <input type="date" name="date_creation" class="form-control"  [(ngModel)]="agent.date_creation"> 
      </div>
      
      </form>
      
           &nbsp; &nbsp;&nbsp; <button type="submit" class="btn btn-success" >Ajouter</button>&nbsp;&nbsp;
                           <button type="reset" class="btn btn-warning" >Annuler</button>
       
  </form>
  
